<?php

namespace Drupal\breakpoint_field\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'breakpoint_field_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "breakpoint_field_formatter",
 *   module = "breakpoint_field",
 *   label = @Translation("Breakpoint formatter"),
 *   field_types = {
 *     "breakpoint_field_item"
 *   }
 * )
 */
class BreakpointFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $elements[$delta] = [
        '#type' => 'html_tag',
        '#tag' => 'p',
        '#value' => $this->t('The breakpoint is @group', ['@group' => $item->value]),
      ];
    }
    return $elements;
  }

}
